/// <reference types="q" />
import * as plugins from "./smartnginx.plugins";
import { NginxZone } from "./smartnginx.classes.nginxzone";
import { NginxProcess } from "./smartnginx.classes.nginxprocess";
export declare class NginxConfig {
    zones: NginxZone[];
    cert: plugins.cert.Cert;
    nginxProcess: NginxProcess;
    isDeployed: boolean;
    constructor(optionsArg: plugins.cert.ICertConstructorOptions);
    addZone(zoneArg: NginxZone): void;
    listZones(): NginxZone[];
    removeZones(zoneArg: NginxZone): void;
    clean(): void;
    deploy(): plugins.q.Promise<{}>;
}
