/// <reference types="node" />
/// <reference types="q" />
import * as plugins from "./smartnginx.plugins";
import { NginxConfig } from "./smartnginx.classes.nginxconfig";
export declare class NginxProcess {
    started: boolean;
    nginxConfig: NginxConfig;
    nginxChildProcess: plugins.childProcess.ChildProcess;
    constructor(nginxConfigArg: any);
    /**
     * start nginx
     */
    start(): plugins.q.Promise<{}>;
    /**
     * reload config
     */
    reloadConfig(): plugins.q.Promise<{}>;
    /**
     * stop the nginx instance
     */
    stop(): plugins.q.Promise<{}>;
    /**
     * checks if nginx is in path
     */
    check(): boolean;
}
